import os
from io import open

from setuptools import find_packages, setup

here = os.path.abspath(os.path.dirname(__file__))
README = open(os.path.join(here, "README.md"), encoding="utf-8").read()

version = "0.1.0"

install_requires = [
    "ipython",
    "kubernetes",
]

setup(
    name="jupyter-remote",
    version=version,
    description="Remote execution of Jupyter notebook cells in external Kubernetes",
    long_description=README,
    long_description_content_type='text/markdown',
    classifiers=[
        "Development Status :: 3 - Alpha",
        "Environment :: Console",
        "License :: OSI Approved :: Apache Software License",
        "Programming Language :: Python :: 3",
    ],
    keywords="jupyter kubernetes",
    author="Amy Krause",
    author_email="a.krause@epcc.ed.ac.uk",
    # url="https://github.com/",
    # project_urls={
    #     "Source": "https://github.com/",
    # },
    license="MIT",
    packages=find_packages("src"),
    package_dir={"": "src"},
    include_package_data=True,
    zip_safe=False,
    install_requires=install_requires,
)